/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.ws.cxf.client;

import org.ow2.jonas.ws.jaxws.client.naming.ServiceReferenceBuilder;
import org.ow2.jonas.ws.cxf.client.factory.CXFServiceObjectFactory;

import javax.naming.Reference;

/**
 * ReferenceBuilder specialized for CXF Service References.
 * @author Guillaume Sauthier
 */
public class CXFServiceReferenceBuilder extends ServiceReferenceBuilder {

    /**
     * Creates a new Reference instance customized by the WS provider.
     * @param className the class about to be referenced by the Reference
     * @return a new Reference
     */
    protected Reference createReference(final String className) {

        // Associate this Reference to our CXF ObjectFactory
        return new Reference(className,
                             CXFServiceObjectFactory.class.getName(),
                             null);
    }
}
