/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.ws.jaxws.client;

import javax.xml.ws.Service;
import javax.xml.namespace.QName;
import java.net.URL;

/**
 * Generic (not sub classed) JAX-WS Service class.
 * It has been subclassed here to make the 2 args constructor public (instead of protected).
 * @author Guillaume Sauthier
 */
public class JOnASGenericService extends Service {

    /**
     * Just change constructor from protected to public.
     * @param url WSDL location
     * @param qName wsdl:service QName
     * @see javax.xml.ws.Service(java.net.URL, javax.xml.namespace.QName)
     */
    public JOnASGenericService(final URL url, final QName qName) {
        super(url, qName);
    }
}
