/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.ws.jaxws.client.naming;

/**
 * Hold all the Generic constants values that may be used when
 * dealing with web services References.
 * @author Guillaume Sauthier
 */
public interface Constants {
    /**
     * Key to retrieve the service classname.
     */
    String SERVICE_CLASS = "service-class";

    /**
     * Key to retrieve the service interface classname.
     */
    String SERVICE_INTERFACE = "service-interface";

    /**
     * Key to retrieve the service endpoint interface classname.
     */
    String SERVICE_ENDPOINT_INTERFACE = "service-endpoint-interface";

    /**
     * Key to retrieve the handler chain to be used with this service.
     * TODO check if we may need multiple chains ?
     */
    String HANDLER_CHAIN = "handler-chain";

    /**
     * Key to retrieve the WSDL URL.
     */
    String WSDL_LOCATION = "wsdl-location";
    
    /**
     * Key to retrieve the service qname.
     */
    String SERVICE_QNAME = "service-qname";
}
